CREATE RULE snippet_delete_rule AS ON DELETE TO snippet DO 
UPDATE filesystem SET deleted=true WHERE section='snippet' AND ref_id=old.snippet_id;

CREATE RULE tracker_item_deletefiles_rule AS ON DELETE TO tracker_item DO 
UPDATE filesystem SET deleted=true WHERE section='trackeritem' AND ref_id=old.tracker_item_id;

CREATE RULE forum_message_deletefiles_rule AS ON DELETE TO forum_message DO 
UPDATE filesystem SET deleted=true WHERE section='forummessage' AND ref_id=old.forum_message_id;

CREATE RULE docman_file_version_delete_rule AS ON DELETE TO docman_file_version DO 
UPDATE filesystem SET deleted=true WHERE section='docmanfileversion' AND ref_id=old.docman_file_version_id;

CREATE RULE frs_release_delete_rule AS ON DELETE TO frs_release DO 
UPDATE filesystem SET deleted=true WHERE section='frsrelease' AND ref_id=old.frs_release_id;

ALTER TABLE filesystem ALTER COLUMN deleted SET DEFAULT FALSE;
UPDATE filesystem SET deleted=false;

ALTER TABLE ONLY "monitor" DROP CONSTRAINT userid_fk;
ALTER TABLE ONLY "monitor"
    ADD CONSTRAINT userid_fk FOREIGN KEY (user_id) REFERENCES "user"(user_id) ON DELETE CASCADE;
