BEGIN;
ALTER TABLE deleted_mailing_list ADD COLUMN mailing_list_name_text TEXT;
UPDATE deleted_mailing_list SET mailing_list_name_text=mailing_list_name;
ALTER TABLE deleted_mailing_list DROP CONSTRAINT deleted_mailing_list_pkey;

ALTER TABLE deleted_mailing_list DROP mailing_list_name;
ALTER TABLE deleted_mailing_list RENAME mailing_list_name_text TO mailing_list_name;
ALTER TABLE deleted_mailing_list ADD PRIMARY KEY(mailing_list_name);
COMMIT;

INSERT INTO tracker_extra_field (tracker_id, field_name, field_type, alias, show_on_submit) 
SELECT tracker_id, 'Found In Release', 8, 'foundinrelease', true
FROM tracker WHERE tracker_name='Bugs';
INSERT INTO tracker_extra_field (tracker_id, field_name, field_type, alias, show_on_submit) 
SELECT tracker_id, 'Fixed In Release', 8, 'fixedinrelease', true 
FROM tracker WHERE tracker_name='Bugs';

CREATE TABLE project_activity (
activity_date date,
project_id integer not null CONSTRAINT projectid_fk REFERENCES project(project_id) ON DELETE CASCADE,
measure float,
PRIMARY KEY (activity_date,project_id)
);
CREATE INDEX projectactivity_projectidactivitydate ON project_activity(project_id,activity_date);
CREATE INDEX projectactivity_activitydatemeasure ON project_activity(activity_date,measure);

CREATE RULE project_forum_delete_rule AS ON DELETE TO project DO 
DELETE FROM forum WHERE section='project' AND ref_id=OLD.project_id;
