<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
 
require_once('plugins/scmsvn/lib/html/ScmSVNAdminTemplate.php');

$theme = new ScmSVNAdminTemplate();
$project = GFUrl::getUrl()->getProject();
$Lang = Session::getSession()->getLanguage();

$CODE_SEARCH_MODULE_NAME = $Lang->getText('CodeSearchModuleSVN.CodeSearchModuleName');
$CODE_SEARCH_MODULE_DESCRIPTION = $Lang->getText('CodeSearchModuleSVN.CodeSearchModuleDescription');

$params = array(
		'project' => $project,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('CodeSearchModule.AddNewPageTitle', array($CODE_SEARCH_MODULE_NAME))
		);
 
require_once('plugins/scm/wwwlib/admin/CodeSearchModuleAddAction.php');

?>
