<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: User.php 326 2006-01-09 19:49:12Z danper $
 * @author Daniel A. Prez	daniel@gforgegroup.com
 * @date 2005-11-11
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */


if (array_key_exists('username',$_REQUEST) && array_key_exists('password',$_REQUEST) && (strlen($_REQUEST['username'])>0) && (strlen($_REQUEST['password'])>0) ) {
	$username = $_REQUEST['username'];
	$password = $_REQUEST['password'];
	$c = new Criteria();
	$c->add(UserPeer::UNIX_NAME,$username);
	$user = UserPeer::doSelectOne($c);
	if ($user instanceof User) {
		if ($user->getStatus()==user::STATUS_PENDING) { // just resend if the user is pending			
			if ($user->getPasswordMd5()==md5($password)) {
				$user->sendRegistrationEmail();
				$feedback = Language::getSessText('Confirmation.Resent');
			} else {
				$feedback = Language::getSessText('User.IncorrectPassword');
			}
		} else {
			if ($user->getStatus()==user::STATUS_DELETED) {
				$feedback = Language::getSessText('LostPass.NotExists');
			} else {
				$feedback = Language::getSessText('Verify.AlreadyActive');
			}
		}
	} else {
		$feedback = Language::getSessText('LostPass.NotExists');
	}
} else {
	$feedback = Language::getSessText('Confirmation.Input');
}

GFUrl::redirect(GFUrl::getUrl()->baseURL('ResendConfirmation','','account',array("feedback"=>$feedback,"user"=>$username)));
?>