<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id:
 * @author Federico Tarantini federico@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('exceptions/PermissionDeniedException.php');
require_once('html/templates/SiteAdminTemplate.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

$theme = new SiteAdminTemplate();
$params = array(
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'action' => isset($action) ? $action : '',
		'title' => $Lang->getText('SiteAdmin.SiteNotification')
		);

$theme->header($params);

include ('forms/SiteNotifications-tpl.php');

$theme->footer();
?>