<?php


require_once('lib/core/UserPeer.php');
require_once('lib/core/User.php');
require_once('html/MyTemplate.php');

$theme = new MyTemplate();

$errors = array();

if(!isset($_GET['confirm_hash'])) $errors[] = 'Error: Invalid confirmation Hash';
	
$c = new Criteria();
$c->add(UserPeer::CONFIRM_HASH, $_GET['confirm_hash']);
$User = UserPeer::doSelectOne($c);
if( ! ($User instanceof User)) {
	$errors[] = 'Error: Invalid confirmation hash.';
} else {
	$old_email = $User->getEmail();
	$User->setEmail($User->getEmailNew());
	$User->save();
}

if(count($errors) > 1) $feedback = implode('<br />', $errors);

$params = array(
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => Language::getSessText('MyUserEmailEdit.ConfirmationPage')
		);

$theme->header($params);

if(count($errors) < 1) echo '<strong>'.Language::getSessText('MyUserEmailEdit.ConfirmMsg', array($User->getUnixName(), $User->getEmailNew(),$old_email)).'</strong>';

$theme->footer($params);

