ALTER TABLE tracker_extra_field ADD COLUMN use_workflow BOOLEAN;
ALTER TABLE tracker_extra_field ALTER COLUMN use_workflow SET DEFAULT FALSE;
UPDATE tracker_extra_field SET use_workflow=false;

ALTER TABLE tracker_extra_field_element_transition ADD COLUMN notification_message TEXT;

CREATE TABLE tracker_extra_field_element_transition_notify (
tracker_extra_field_element_transition_id INTEGER NOT NULL CONSTRAINT elementtransitionid_fk
        REFERENCES tracker_extra_field_element_transition(tracker_extra_field_element_transition_id) ON DELETE CASCADE,
role_id INTEGER NOT NULL CONSTRAINT roleid_fk
        REFERENCES role(role_id) ON DELETE CASCADE,
PRIMARY KEY (tracker_extra_field_element_transition_id,role_id)
);

INSERT INTO plugin (plugin_name,plugin_desc,plugin_type,plugin_order) VALUES 
	('cruisecontrol','Cruise Control','project',13);
INSERT INTO plugin (plugin_name,plugin_desc,plugin_type,plugin_order,exclusive_type) VALUES 
	('scmvss','VSS Skeleton','project',14,'scm');
INSERT INTO plugin (plugin_name,plugin_desc,plugin_type,plugin_order,exclusive_type) VALUES 
	('scmcc','Clear Case Skeleton','project',14,'scm');
