DROP TABLE code_search_index;

CREATE TABLE code_search_index(
	code_search_module_id INTEGER NOT NULL REFERENCES code_search_module(code_search_module_id) ON DELETE CASCADE,
	filename TEXT NOT NULL,
	line INTEGER,
	revision VARCHAR(256) NOT NULL,
	class_name TEXT,
	method_name TEXT,
	variable_name TEXT,
	comment TEXT,
	vectors tsvector
);

CREATE INDEX code_search_indexFTI ON code_search_index USING gist(vectors);

