<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

echo $theme->header($params);
?>

<form action="<?php echo GFUrl::getUrl()->currentBaseURL('UsergroupAddAction') ?>" method="POST">
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('Usergroup.UsergroupIdName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="unix_name" value="<?php echo $unix_name; ?>"  /></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Usergroup.FirstnameName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="firstname" value="<?php echo $firstname; ?>"  /></td>
		</tr>

<input type="hidden" name="theme_id" value="<?php echo GFConf::get('system.defaultThemeId'); ?>" />
<input type="hidden" name="language_id" value="<?php echo GFConf::get('system.defaultLanguageId'); ?>" />
<input type="hidden" name="ccode" value="US" />
<input type="hidden" name="timezone" value="US/Central" />
		<tr>
			<td>
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.add') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->currentBaseURL('UsergroupBrowse',array()) . "'; ")?>
			</td>
		</tr>
	</table>
</form>

<?php
echo $theme->footer($params);
?>
