<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('html/MyTemplate.php');
require_once('lib/core/FilesystemPeer.php');
//require_once('lib/core/UserProjectPeer.php');

$session=Session::getSession();
if (!$session->isLoggedIn()) {
	throw new NotLoggedInException();
}
$template = new MyTemplate();
$user = Session::getSession()->getUser();

if(isset($_REQUEST['feedback'])) $feedback = $_REQUEST['feedback'];
$params = array(
	'title' => Language::getSessText('Tabs.Monitors'),
	'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
	'action' => isset($action) ? $action : '',
	'selectedbottomtab' => 'monitor',
	'user' => $user
	);
$template->header($params);

$params['theme'] = $template;

// get the monitored items
$prs = ActionManager::notify('BUILD_MYPAGE_MONITORS',$params); 

foreach ($prs as $pr) {
	echo $pr->getResult() . '<br /><br />';
}

//Site Notification
$theader[] = Language::getSessText('My.SiteNotification');
$theader[] = '';
$value = $theme->tableTop($theader);
$trow = array();
$tmod = array();
if($user->IsMonitoringSite()){
	$trow[] = Language::getSessText('My.SiteNotificationEnabled');
	$trow[] = '<a href="'.GFUrl::getUrl()->getMonitorUrl('site', '0', null, false).'" >'.Language::getSessText('My.SiteNotificationDisable').'</a>';
} else {
	$trow[] = Language::getSessText('My.SiteNotificationDisabled');
	$trow[] = '<a href="'.GFUrl::getUrl()->getMonitorUrl('site', '0', null, true).'" >'.Language::getSessText('My.SiteNotificationEnable').'</a>';
}
$tmod[] = 'width="30%"';
$tmod[] = 'align="right"';
$value .= $theme->tableRow($trow, $tmod);

echo $value;

echo $template->tableBottom();
?>


</form>

<?php
$template->footer();
?>
